MACFieldUtil Namespace Reference

## Functions

Box3i | makeDataWindowForComponent (Box3i dataWindow, MACComponent comp)

## Function Documentation

## makeDataWindowForComponent()

Box3i MACFieldUtil::makeDataWindowForComponent | ( | Box3i | dataWindow,
|  | MACComponent | comp )

inline

Definition at line 586 of file MACField.h.

{
switch (comp) {
case MACCompU:
dataWindow.max += V3i(1, 0, 0);
break;
case MACCompV:
dataWindow.max += V3i(0, 1, 0);
break;
case MACCompW:
dataWindow.max += V3i(0, 0, 1);
break;
default:
assert(false && "Illegal MACComponent in makeDataWindowForComponent");
}
return dataWindow;
}
MACCompV
@ MACCompV
Definition MACField.h:73
MACCompU
@ MACCompU
Definition MACField.h:72
MACCompW
@ MACCompW
Definition MACField.h:74
V3i
Imath::V3i V3i
Definition SpiMathLib.h:71

References MACCompU, MACCompV, and MACCompW.

Referenced by MACField< Data_T >::begin_comp(), MACField< Data_T >::begin_comp(), MACField< Data_T >::cbegin_comp(), MACField< Data_T >::cbegin_comp(), MACField< Data_T >::cend_comp(), MACField< Data_T >::cend_comp(), MACField< Data_T >::end_comp(), and MACField< Data_T >::end_comp().